@font-face {
	font-family: AtkinsonHyperlegibleRegular;
	src: url('/public/font.ttf') format('truetype');
}

html {
	background-color: #111;
	font-family: AtkinsonHyperlegibleRegular, sans-serif;
}

body {
	background-color: #222;
	max-width: 60%;
	margin: 40px auto;
	padding: 10px;
	color: #eee;
}

a {
	color: #1ee;
}

div.filmgroup {
	display: flex;
	flex-direction: row;
	align-items: center;
	width: 95%;
	flex-wrap: wrap;
	justify-content: center;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 10px;
}

div.filmgroup img {
	margin: 10px; 
}

h1.title, h2.title {
	text-align: center;
}

div.hoverimg {
	display: inline;
}

div.hoverimg a {
	position: relative;
}

div.hoverimg a img {
	position: absolute;
	left: 0;
	display: none;
	z-index: 99;
	pointer-events: none;
}

div.hoverimg a:hover img {
	display: block;
}

input[type='password'],
input[type='number'],
input[type='text'],
input[type='datetime-local'] {
	background-color: #111;
	color: #eee;
	border: 1px dashed #888;
	margin-bottom: 0.4em;
}

input[type='submit'] {
	background: none;
	border: 1px solid #1ee;
	color: #1ee;
	cursor: pointer;
}

input[type='number'] {
	max-width: 4em;
}

input[type='radio'] {
	display: none;
}

input[type='radio'] + label img {
	border: 4px solid #222;
	filter: brightness(42%);
}

input[type='radio']:hover + label img {
	border-color: #1ee;
	filter: brightness(100%);
}

input[type='radio']:checked + label img {
	border-color: #eee;
	filter: brightness(100%);
}

input[type='radio'] + label {
	cursor: pointer;
}

div.personpage img, div.filmpage img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	max-width: 100%;
}

div.columngroup {
	display: flex;
}

div.leftcolumn {
	padding-right: 4em;
	max-width: 25%;
}

div.rightcolumn {
}

img {
	border-radius: 2.5%;
}

div.navbar {
	display: flex;
	justify-content: space-between;
}

div.navbarleft, div.navbarright {
	display: inline;
}

div.navbarleft h1 {
	margin: 0;
	padding: 0;
}

div.navbarright ul, div.navbarright li, div.navbarright form {
	display: inline;
	margin: 0;
	padding: 0;
}

div.navbarright li {
	margin-left: 0.4em;
}

div.filmcarousel {
	display: block;
	width: 100%;
	overflow-x: scroll;
	overflow-y: hidden;
	white-space: nowrap;
}

div.filmcarousel div.carouselentry {
	display: inline-block;
	float: none;
	margin: 10px;
	text-align: center;
}
